Skip to main content
GET
List all events

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer

Page number.

Example:

1

per_page
integer

Number of records per page.

Example:

20

external_subscription_id
string

External subscription ID

Example:

"5eb02857-a71e-4ea2-bcf9-57d3a41bc6ba"

code
string

Filter events by its code.

Example:

"event-123"

timestamp_from_started_at
boolean

Requires external_subscription_id to be set. Filter events by timestamp after the subscription started at datetime.

Example:

true

timestamp_from
string<date-time>

Filter events by timestamp starting from a specific date.

Example:

"2022-08-08T00:00:00Z"

timestamp_to
string<date-time>

Filter events by timestamp up to a specific date.

Example:

"2022-08-08T00:00:00Z"

Response

Events

events
object[]
required
meta
object
required